<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::CompositionPass Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#c0daef1d307ace963959896a3db64d75">_isSupported</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#05cbca68fbc408dbf755612cfb72707d">clearAllInputs</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#5b5540cb8dc10175dc30c3947032013c">CompositionPass</a>(CompositionTargetPass *parent)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#1067961f85a369a5d24614b2c4e264bc">getClearBuffers</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#e5b0b349ab51c06c224ee49dc74cdf75">getClearColour</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#89d99d94e657687397f952ebea9576ec">getClearDepth</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#debc56c1f9c0e5b17b05563b975aba49">getClearStencil</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ef1d1dd6c8f3fb3fd989c74208023d13">getFirstRenderQueue</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#1d4644512ed6fffd5f5ea6573ea1c25f">getIdentifier</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#650f9d72d57d3ca53016326ab11b01e5">getInput</a>(size_t id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#eb2475995883385f37efdfa28fee1792">getLastRenderQueue</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ee07fa6e3183a5e1fcc28b4977780925">getMaterial</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#93eefcf727f9967c05b69e84123a2591">getNumInputs</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#5815c0e9e598fe58d2c7f76be9167976">getParent</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aedd029c6389840546c43a2911e24869">getStencilCheck</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#6038ae034a33d903d4e05b60cb19930a">getStencilDepthFailOp</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#71a08ba57c6a493ac2e616485bda904f">getStencilFailOp</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#27ccb6dfe7c8e67d70c3117f1856ed9b">getStencilFunc</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#0f1708287d35be21ab1784087a5eb414">getStencilMask</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#e2ef53d2fa33e3aaf06ed1f8e1e30e17">getStencilPassOp</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#36ae61fc908e904da5bf9062383d342d">getStencilRefValue</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#c4524c140a443b407a462cbb75737389">getStencilTwoSidedOperation</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ee39093cea27c4fba2dd56dc57b44fa7">getType</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#3b282ac94558d8642b090a6d0f36749b">mClearBuffers</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#bf96127effdcc34e974d67c93e8cc087">mClearColour</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#f0424e3195c69bb730051295932146bf">mClearDepth</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#307f1133d7e5941e1542f8a21a3079b9">mClearStencil</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#c149ba2f99beef55ca6144228a978244">mFirstRenderQueue</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a84ac5b3a9a4d54da2d129a4567577c1">mIdentifier</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ce416944a7a1f3b1d5db8e5c9bce80c2">mInputs</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#9e6a2138976e30de8edd13abeb5350b7">mLastRenderQueue</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#c8d59078bba510dca3b7796f63b2ba45">mMaterial</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#69dbfadbe08123a3654988001408fe1f">mParent</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#8b348a1876efc360bf602fd7f7ea0029">mStencilCheck</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#325047bcd0a7f8ce097ddb4aee685e81">mStencilDepthFailOp</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#7da3a87b2029d343068fd903efef2549">mStencilFailOp</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#d49e026bd0e97265aedc4f701269ceca">mStencilFunc</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#50d4b6015739493ab4ebeb51232761a4">mStencilMask</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#eb86ae7589d68c40a953c13d52b43115">mStencilPassOp</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#06bfb33608f605cc216ce88342f5f2ca">mStencilRefValue</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#13aadcaf16c50cd38ca95dc7a161fe4d">mStencilTwoSidedOperation</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#7ebe674aa91f64ac46c0a69e6fad1152">mType</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a> enum name</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aaa7d4ed28ab9cdd43e85a715bd4e068fc">PT_CLEAR</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa39b1d2658f5c73b04755e428316ea366">PT_RENDERQUAD</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aac8aa60611671e1b8867c1a30775ba84c">PT_RENDERSCENE</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa43301dad285fba17915d7867665597ab">PT_STENCIL</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#92187a460af36b8ebe0828cf6d81c277">setClearBuffers</a>(uint32 val)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#9ab5aefa39e28d1340c489fcce289da8">setClearColour</a>(ColourValue val)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#1f0e9945281c6551ab0f21a129270339">setClearDepth</a>(Real depth)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#d75218db6dbe9993b5486c9c916efc0c">setClearStencil</a>(uint32 value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#4af9e5a958c5ec3a69f8bd797d4c2563">setFirstRenderQueue</a>(uint8 id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#56bb1d899a43195712944398e2d1bc65">setIdentifier</a>(uint32 id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#63f9b80b6e05285919b587ab359ed466">setInput</a>(size_t id, const String &amp;input=&quot;&quot;)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#193d54ee08e19d538576ca300c30c006">setLastRenderQueue</a>(uint8 id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#21721f49c3b10e36560adff1e563740f">setMaterial</a>(const MaterialPtr &amp;mat)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#453231b980fc04dd9af9f330feec5236">setMaterialName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#f0f6a55176e7c69fda820a5d22a50104">setStencilCheck</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#e3c196d705b7bf120e0d888b4867dda4">setStencilDepthFailOp</a>(StencilOperation value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#d7afd96369d5093b5eb2123f2befed58">setStencilFailOp</a>(StencilOperation value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#7d60b3d8f6e47891d8e5373bea31d5bd">setStencilFunc</a>(CompareFunction value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#052e16876215e11e03bcba8657faf917">setStencilMask</a>(uint32 value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ff4417885952905fc8230cef47a36756">setStencilPassOp</a>(StencilOperation value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#1b8cc0c3221bfbc751328cda98c8aff7">setStencilRefValue</a>(uint32 value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#fa3d6c2f5f8e6ba85b7844d2bf433a5f">setStencilTwoSidedOperation</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#8b0e3dcfccbdcc9672a96ae6dc2c0123">setType</a>(PassType type)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#b8fc137845790b360d57056621cd1061">~CompositionPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:22 2008
</p>
</body>
</html>
